import { UnitConfig, UnitResponse } from "../types/common";
import { Dispute, DisputeListParams } from "../types/dispute";
import { BaseResource } from "./baseResource";
export declare class Disputes extends BaseResource {
    constructor(token: string, basePath: string, config?: UnitConfig);
    get(id: string): Promise<UnitResponse<Dispute>>;
    list(params?: DisputeListParams): Promise<UnitResponse<Dispute[]>>;
}
