import { UnitConfig, UnitResponse } from "../types/common";
import { CreateFeeRequest, Fee, FeeReversal, FeeReversalRequest } from "../types/fee";
import { BaseResource } from "./baseResource";
export declare class Fees extends BaseResource {
    constructor(token: string, basePath: string, config?: UnitConfig);
    createFee(request: CreateFeeRequest): Promise<UnitResponse<Fee>>;
    reverse(request: FeeReversalRequest): Promise<UnitResponse<FeeReversal>>;
}
