"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CustomerTokens = void 0;
const baseResource_1 = require("./baseResource");
class CustomerTokens extends baseResource_1.BaseResource {
    constructor(token, basePath, config) {
        super(token, basePath + "/customers", config);
    }
    async createToken(customerId, request) {
        return this.httpPost(`/${customerId}/token`, { data: request });
    }
    async createTokenVerification(customerId, request) {
        return this.httpPost(`/${customerId}/token/verification`, { data: request });
    }
}
exports.CustomerTokens = CustomerTokens;
